Subject: Re: What's cooking in git.git (Aug 2014, #02; Fri, 8)

From: Charles Bailey <[email-masked]>
Date: Sat, 9 Aug 2014 21:01:05 +0100

On Fri, Aug 08, 2014 at 03:18:11PM -0700, Junio C Hamano wrote:
> * cb/mergetool-difftool (2014-07-21) 2 commits
>  - difftool: don't assume that default sh is sane
>  - mergetool: don't require a work tree for --tool-help
> 
>  Update the way the "difftool --help" shows the help message that is
>  shared with the "mergetool" to reduce one shell dependency.
> 
>  Will merge to 'next'.

Can you hold off on merging this? I think I want to have another go at
making this neater.

Specifically, --tool-help doesn't need a working tree but I hadn't
spotted that it still requires a GIT_DIR / --git-dir when it really
shouldn't.